// QTreeLegendDialog: a dialog providing a quick guide to P4QTree

#ifndef QTREELEGENDDIALOG_H

#include <qdialog.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qpainter.h>
#include <qpushbutton.h>

#include "qtreeitem.h"

#endif

class QTreeLegendDialog : public QDialog  
{
	Q_OBJECT
public:
	QTreeLegendDialog( QWidget* parent );
	virtual ~QTreeLegendDialog();

	void paintEvent( QPaintEvent* );

private:
	QVBoxLayout* mainlayout;

	QGroupBox* colorbox;
	QLabel *collabelb, *collabelc, *collabeli, *collabelm, *collabele;

	QGroupBox* weightbox;
	QLabel *weightlabel1, *weightlabel2, *weightlabel3;

	QLabel* blurblabel;

	QPushButton* ok;
	QHBoxLayout* bottomlayout;

};
